[csw-devel] SF.net SVN: gar:[19772] csw/mgar/pkg/courier-authlib/trunk

wilbury at users.sourceforge.net wilbury at users.sourceforge.net
Thu Nov 29 16:36:31 CET 2012


Revision: 19772
          http://gar.svn.sourceforge.net/gar/?rev=19772&view=rev
Author:   wilbury
Date:     2012-11-29 15:36:30 +0000 (Thu, 29 Nov 2012)
Log Message:
-----------
courier-authlib/trunk: Add uid/gid and SMF support, take one.

Modified Paths:
--------------
    csw/mgar/pkg/courier-authlib/trunk/Makefile

Added Paths:
-----------
    csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib
    csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib.xml
    csw/mgar/pkg/courier-authlib/trunk/files/cswusergroup

Modified: csw/mgar/pkg/courier-authlib/trunk/Makefile
===================================================================
--- csw/mgar/pkg/courier-authlib/trunk/Makefile	2012-11-29 12:56:16 UTC (rev 19771)
+++ csw/mgar/pkg/courier-authlib/trunk/Makefile	2012-11-29 15:36:30 UTC (rev 19772)
@@ -13,6 +13,9 @@
 MASTER_SITES = $(SF_MIRRORS)
 SF_PROJECT = courier/authlib
 DISTFILES  = $(DISTNAME).tar.bz2
+DISTFILES += cswusergroup
+DISTFILES += svc-cswcourier-authlib
+DISTFILES += cswcourier-authlib.xml
 
 PACKAGING_PLATFORMS = solaris10-i386 solaris10-sparc
 
@@ -44,6 +47,17 @@
 MIGRATE_FILES_CSWcourier-authlib += authpgsqlrc
 MIGRATE_FILES_CSWcourier-authlib += userdb
 
+PRESERVECONF += /etc/opt/csw/authlib/authdaemonrc
+PRESERVECONF += /etc/opt/csw/authlib/authldaprc
+PRESERVECONF += /etc/opt/csw/authlib/authmysqlrc
+PRESERVECONF += /etc/opt/csw/authlib/authpgsqlrc
+PRESERVECONF += /etc/opt/csw/authlib/userdb
+
+INITSMF = /opt/csw/etc/init.d/cswcourier-authlib
+INSTALL_SCRIPTS = authlib
+
+USERGROUP = /etc/opt/csw/pkg/CSW$(NAME)/cswusergroup
+
 # Just a harmless override, there is /usr/local in the script somewhere
 CHECKPKG_OVERRIDES_CSWcourier-authlib += file-with-bad-content|/usr/local|root/opt/csw/sbin/makeuserdb
 
@@ -53,3 +67,8 @@
 
 include gar/category.mk
 
+install-authlib:
+	@/opt/csw/bin/ginstall -m 755 $(FILEDIR)/svc-cswcourier-authlib $(DESTDIR)/opt/csw/etc/init.d/cswcourier-authlib
+	@/opt/csw/bin/ginstall -m 644 $(FILEDIR)/cswcourier-authlib.xml $(DESTDIR)/var/opt/csw/svc/manifest/cswcourier-authlib.xml
+	@/opt/csw/bin/ginstall -m 644 $(FILEDIR)/cswusergroup $(DESTDIR)/etc/opt/csw/pkg/CSW$(NAME)
+	@$(MAKECOOKIE)

Added: csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib
===================================================================
--- csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib	                        (rev 0)
+++ csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib	2012-11-29 15:36:30 UTC (rev 19772)
@@ -0,0 +1,70 @@
+#!/bin/sh
+# This is the /etc/init.d file for courier-authlib
+# Modified for CSW
+#
+# description: Authlib - Courier authentication library.
+#
+### OpenCSW BEGIN
+#
+#MANIFEST /var/opt/csw/svc/manifest/cswcourier-authlib.xml
+#RC_KNUM 20
+#RC_SNUM 80
+#RC_KLEV 0,1,2,S
+#RC_SLEV 3
+#FMRI network
+#AUTOENABLE no
+#
+### OpenCSW END
+
+
+if [ -f /lib/svc/share/smf_include.sh ]
+then
+   . /lib/svc/share/smf_include.sh
+fi
+
+prefix=/opt/csw
+exec_prefix=/opt/csw
+sysconfdir=/opt/csw/etc
+sbindir=/opt/csw/sbin
+
+if test ! -f /etc/opt/csw/authlib/authdaemonrc
+then
+        printf "/etc/opt/csw/authlib/authdaemonrc does not exist, unable to continue"
+        exit 1
+fi
+
+case "$1" in
+start)
+        cd /
+        # Start daemons.
+
+        printf "Starting Courier authentication services:"
+
+        $sbindir/authdaemond start
+
+        printf "\n authdaemond"
+        echo ""
+        ;;
+stop)
+        printf "Stopping Courier authentication services:"
+
+        $sbindir/authdaemond stop
+
+        printf "\n authdaemond"
+        echo ""
+        ;;
+restart)
+        $0 stop
+        $0 start
+        ;;
+reload)
+        printf "Starting Courier authentication services:"
+
+        $sbindir/authdaemond restart
+
+        printf "\n authdaemond"
+        echo ""
+        ;;
+esac
+exit 0
+

Added: csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib.xml
===================================================================
(Binary files differ)


Property changes on: csw/mgar/pkg/courier-authlib/trunk/files/cswcourier-authlib.xml
___________________________________________________________________
Added: svn:mime-type
   + application/xml

Added: csw/mgar/pkg/courier-authlib/trunk/files/cswusergroup
===================================================================
--- csw/mgar/pkg/courier-authlib/trunk/files/cswusergroup	                        (rev 0)
+++ csw/mgar/pkg/courier-authlib/trunk/files/cswusergroup	2012-11-29 15:36:30 UTC (rev 19772)
@@ -0,0 +1 @@
+authlib:authlib:Tomcat JSP Container::::

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list